GDB (xrefs)

Public Attributes | List of all members
arm_get_next_pcs_ops Struct Reference

`#include "arm-get-next-pcs.h"`

## Public Attributes
ULONGEST(* | read_mem_uint )(CORE_ADDR memaddr, int len, int byte_order)
CORE_ADDR(* | syscall_next_pc )(struct arm_get_next_pcs *self)
CORE_ADDR(* | addr_bits_remove )(struct arm_get_next_pcs *self, CORE_ADDR val)
int(* | is_thumb )(struct arm_get_next_pcs *self)
CORE_ADDR(* | fixup )(struct arm_get_next_pcs *self, CORE_ADDR pc)

## Detailed Description

Definition at line 29 of file arm-get-next-pcs.h.

## Member Data Documentation

## ◆ addr_bits_remove

CORE_ADDR(* arm_get_next_pcs_ops::addr_bits_remove) (struct arm_get_next_pcs *self, CORE_ADDR val)

Definition at line 33 of file arm-get-next-pcs.h.

## ◆ fixup

CORE_ADDR(* arm_get_next_pcs_ops::fixup) (struct arm_get_next_pcs *self, CORE_ADDR pc)

Definition at line 37 of file arm-get-next-pcs.h.

## ◆ is_thumb

int(* arm_get_next_pcs_ops::is_thumb) (struct arm_get_next_pcs *self)

Definition at line 34 of file arm-get-next-pcs.h.

## ◆ read_mem_uint

ULONGEST(* arm_get_next_pcs_ops::read_mem_uint) (CORE_ADDR memaddr, int len, int byte_order)

Definition at line 31 of file arm-get-next-pcs.h.

## ◆ syscall_next_pc

CORE_ADDR(* arm_get_next_pcs_ops::syscall_next_pc) (struct arm_get_next_pcs *self)

Definition at line 32 of file arm-get-next-pcs.h.

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/arch/arm-get-next-pcs.h